---
updatedAt: 2026-08-26T07:17:57.000Z
agentTools:
  projectIndex: https://docs.blockdaemon.com/llms.txt
---

# Decode Transaction

Decodes a raw, signed transaction into a human-readable format, revealing fields like nonce, gas price, recipient, value, and signature components. This helps developers and users audit or debug transactions by highlighting asset changes (sender, receiver, and transferred amount).

> 💡 
**Compute Unit Value:** `45` (Fixed)

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "contact": {
      "name": "Blockdaemon",
      "email": "info@blockdaemon.com"
    },
    "description": "The Blockdaemon DeFi API provides a single interface to a multitude of DeFi projects and blockchains",
    "title": "Blockdaemon DeFi API",
    "version": "1.0.0",
    "x-logo": {
      "altText": "Blockdaemon logo",
      "backgroundColor": "#fafafa",
      "url": "https://storage.googleapis.com/blockdaemon-app-static-images/marketing/PNG/dark-logo.png"
    }
  },
  "externalDocs": {
    "description": "Blockdaemon DeFi documentation",
    "url": "http://www.blockdaemon.com/api/defi"
  },
  "servers": [
    {
      "url": "https://svc.blockdaemon.com"
    }
  ],
  "components": {
    "securitySchemes": {
      "ApiKeyAuth": {
        "type": "apiKey",
        "in": "header",
        "name": "X-API-Key",
        "description": "`X-API-Key: <Token>` header must be set to authenticate API requests.You can create tokens in the \"Configure\" tab of your API access area at https://app.blockdaemon.com."
      }
    },
    "schemas": {
      "_chain_decodetransaction_Request": {
        "type": "object",
        "properties": {
          "chainId": {
            "type": "string",
            "description": "The unique ID to direct queries or transactions to the correct blockchain. Find more [here](https://docs.blockdaemon.com/docs/defi-api-supported-protocols#supported-chains).",
            "enum": [
              "1",
              "11155111",
              "56",
              "97",
              "43114",
              "338",
              "900",
              "901",
              "1200",
              "1201",
              "43113",
              "42161",
              "10",
              "11155420",
              "4002",
              "324",
              "300",
              "cosmoshub-4",
              "1600",
              "1601",
              "1700",
              "1701",
              "osmosis-1",
              "osmo-test-5",
              "1800",
              "1801",
              "137",
              "80002",
              "250",
              "8453",
              "84532",
              "1500",
              "1501",
              "5000",
              "5003",
              "8217",
              "1001"
            ],
            "example": "1"
          },
          "chainSymbol": {
            "type": "string",
            "description": "The abbreviated chain name for queries or transactions.",
            "example": "ETH"
          },
          "rawTransaction": {
            "type": "string",
            "description": "A signed transaction serialized as a base64 string, used to simulate contract execution on the blockchain.",
            "example": "0xf86f048433918fbe830493e0949b79d6dfe4650d70f35dbb80f7d1ec0cf7f823fd87038d7ea4c6800084022794382da0c9bd6b5c7e18a258b04039d524a3e1382ec0f522d160dc027428933f520b6868a07332736f1df297842299230820626f1fc5b8d4cdd602ade55e3ba02c63e756ce"
          }
        },
        "required": [
          "rawTransaction"
        ],
        "description": "The request body for a /defi/v1/chain/decodetransaction",
        "example": {
          "chainId": "1",
          "chainSymbol": "ETH",
          "rawTransaction": "0xf86f048433918fbe830493e0949b79d6dfe4650d70f35dbb80f7d1ec0cf7f823fd87038d7ea4c6800084022794382da0c9bd6b5c7e18a258b04039d524a3e1382ec0f522d160dc027428933f520b6868a07332736f1df297842299230820626f1fc5b8d4cdd602ade55e3ba02c63e756ce"
        }
      }
    }
  },
  "tags": [
    {
      "name": "chain",
      "description": "API endpoints for fetching information about blockchains"
    }
  ],
  "security": [
    {
      "ApiKeyAuth": []
    }
  ],
  "paths": {
    "/defi/v1/chain/decodetransaction": {
      "post": {
        "tags": [
          "chain"
        ],
        "summary": "Decode Transaction",
        "description": "Decodes a raw, signed transaction into a human-readable format, revealing fields like nonce, gas price, recipient, value, and signature components. This helps developers and users audit or debug transactions by highlighting asset changes (sender, receiver, and transferred amount).\n\n> 💡 \n**Compute Unit Value:** `45` (Fixed)",
        "operationId": "chainDecodetransaction",
        "requestBody": {
          "required": true,
          "description": "The request body for a /defi/v1/chain/decodetransaction",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/_chain_decodetransaction_Request"
              },
              "example": {
                "chainId": "1",
                "chainSymbol": "ETH",
                "rawTransaction": "0xf86f048433918fbe830493e0949b79d6dfe4650d70f35dbb80f7d1ec0cf7f823fd87038d7ea4c6800084022794382da0c9bd6b5c7e18a258b04039d524a3e1382ec0f522d160dc027428933f520b6868a07332736f1df297842299230820626f1fc5b8d4cdd602ade55e3ba02c63e756ce"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Successful response",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "integer"
                    },
                    "msg": {
                      "type": "string"
                    },
                    "data": {
                      "type": "object"
                    }
                  },
                  "example": {
                    "status": 200,
                    "msg": "success",
                    "data": {
                      "parsedTx": {
                        "nonce": 0,
                        "gasPrice": {
                          "type": "BigNumber",
                          "hex": "0x09c9919d87"
                        },
                        "gasLimit": {
                          "type": "BigNumber",
                          "hex": "0x0a4a11"
                        },
                        "to": "0xa67E9B68c41b0f26184D64C26e0b2B81466E5994",
                        "value": {
                          "type": "BigNumber",
                          "hex": "0x01"
                        },
                        "data": "0x",
                        "chainId": 1,
                        "v": 37,
                        "r": "0x7542477f2599acdda95c37ff0492bd0ac656687780033807e0434ccf69bd4015",
                        "s": "0x05f33bf2cde8001f51b46e18db78049b4509b824f09dccb45b4dbb9087d17049",
                        "from": "0xa2e73C17F437688946993F683930E3Fd42Dd4F8C",
                        "hash": "0x5c3ef8d1720f481a6dbeb58f4d6cb404f9e2b6f31ba52ba5c8df48142b9e2ad3",
                        "type": null
                      },
                      "assetChanges": {
                        "from": "0xa2e73C17F437688946993F683930E3Fd42Dd4F8C",
                        "to": "0xa67E9B68c41b0f26184D64C26e0b2B81466E5994",
                        "value": {
                          "type": "BigNumber",
                          "hex": "0x01"
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "x-bd-cu": "45",
        "x-bd-cu-type": "fixed",
        "x-internal": false
      }
    }
  },
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  }
}
```